Join the community today
Become a Member

MariaDB How can I set MariaDB 10 as default install using "123.07stable_intel" branch?

Discussion in 'Centmin Mod Insights' started by rdan, Sep 19, 2014.

  1. rdan

    rdan Premium Member Premium Member

    4,255
    1,034
    113
    May 25, 2014
    Ratings:
    +1,486
    Local Time:
    12:35 PM
    Mainline
    10.2
    I'm going to build my new live server using 123.07stable_intel branch on Github.
    Now I want to set MariaDB 10 as default installed, How?
     
  2. rdan

    rdan Premium Member Premium Member

    4,255
    1,034
    113
    May 25, 2014
    Ratings:
    +1,486
    Local Time:
    12:35 PM
    Mainline
    10.2
  3. rdan

    rdan Premium Member Premium Member

    4,255
    1,034
    113
    May 25, 2014
    Ratings:
    +1,486
    Local Time:
    12:35 PM
    Mainline
    10.2
  4. eva2000

    eva2000 Administrator Staff Member

    36,011
    7,898
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +12,179
    Local Time:
    2:35 PM
    Nginx 1.15.x
    MariaDB 5.5/10.x
    You probably can't use the .08 beta01 file for .07 stable as there's references to cmservice for mapping CentOS 7 systemd commands to either systemd or init depending on the service. For MariaDB 10 via mariadb official YUM repo which Centmin Mod uses, it uses old init.d for both CentOS 6.5 and 7.0.

    You could try changing all references of cmservice in .08 beta01 version to just service.

    But easiest would be to either
    1. use .08 beta01
    2. or use .07 stable and use the menu hidden submenu to upgrade to MariaDB 10.x MariaDB - MariaDB 5.5 to 10 upgrade beta testing | Centmin Mod Community - you had a nice time with that the last time you tried IIRC :D
     
    • Like Like x 1
..